Page MenuHomePhabricator

Upgrade Jenkins to LTS 1.625.1/1.625.2
Closed, ResolvedPublic

Description

A new LTS version 1.625.1 has been released on 2015/10/14

Requires Java 7 which we already use on gallium (Java 6 got removed entirely a few months ago).

Changelog at http://jenkins-ci.org/changelog

We need to upgrade to be able to apply a security patch that is going to be released on November 11th.

Event Timeline

hashar created this task.Nov 9 2015, 11:00 AM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 9 2015, 11:00 AM
hashar changed the task status from Open to Stalled.Nov 9 2015, 11:18 AM
hashar moved this task from Untriaged to Done on the Continuous-Integration-Infrastructure board.

I have upgraded Jenkins on gallium. This task is now pending refresh on apt.wikimedia.org which is T118158: Please refresh Jenkins package on apt.wikimedia.org to 1.625.1 / 1.625.2

hashar closed this task as Resolved.Nov 11 2015, 10:13 AM
hashar claimed this task.
hashar added a subscriber: Dzahn.

@Dzahn uploaded the new version to apt.wikimedia.org:

$ ssh gallium.wikimedia.org apt-cache policy jenkins
jenkins:
  Installed: 1.625.1
  Candidate: 1.625.1
Dzahn added a comment.Nov 11 2015, 6:43 PM

P.S. Uploaded 1.625.2 and installed it on gallium today as a follow-up.

Dzahn renamed this task from Upgrade Jenkins to LTS 1.625.1 to Upgrade Jenkins to LTS 1.625.1/1.6.25.2.Nov 11 2015, 6:45 PM
Dzahn renamed this task from Upgrade Jenkins to LTS 1.625.1/1.6.25.2 to Upgrade Jenkins to LTS 1.625.1/1.625.2.
Dzahn set Security to None.